//we need the jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_Dominator - required add-on Vehicle_Jeep not found");
}
else
{
	exec("./Vehicle_Dominator.cs");
	exec("./Vehicle_DominatorGTR.cs");
	exec("./Dominator_Tire.cs");
	exec("./Dominator_Explosion.cs");
	exec("./Dominator_FinalExplosion.cs");
	exec("./Dominator_Spring.cs");   
}